import { Logger } from '@core/logger';
import { createServiceFactory, SpectatorService } from '@ngneat/spectator';
import { SearchService } from '@swagger/cat';
import { PackageService, RemiService, ReturnService, StockService, SupplierService } from '@swagger/remi';
import { DomainRemissionService } from './remission.service';
import { DateAdapter } from '@ui/common';

describe('DomainRemissionService', () => {
  let service: SpectatorService<DomainRemissionService>;
  const createService = createServiceFactory({
    service: DomainRemissionService,
    mocks: [RemiService, StockService, SupplierService, PackageService, ReturnService, SearchService, Logger, DateAdapter],
  });

  beforeEach(() => {
    service = createService();
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
